Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class FindCompoundingIngredientRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v4.FindCompoundingIngredientRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:49:36+02:00",
               comments="JAXB RI v2.3.6")
    public class FindCompoundingIngredientRequest

extends RequestType
implements Serializable

Java class for FindCompoundingIngredientRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindCompoundingIngredientRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindByCNK" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType"/>
             <element name="FindByOfficialName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByAnyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindCompoundingIngredientRequest()`

Method Summary
`String` | `getFindByAnyName()` Gets the value of the findByAnyName property.
`String` | `getFindByCNK()` Gets the value of the findByCNK property.
`String` | `getFindByOfficialName()` Gets the value of the findByOfficialName property.
`String` | `getLang()` Gets the value of the lang property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setFindByAnyName(String value)` Sets the value of the findByAnyName property.
`void` | `setFindByCNK(String value)` Sets the value of the findByCNK property.
`void` | `setFindByOfficialName(String value)` Sets the value of the findByOfficialName property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindCompoundingIngredientRequest

    public FindCompoundingIngredientRequest()

Method Detail

### getFindByAnyName

    public String getFindByAnyName()

  Gets the value of the findByAnyName property.

  Returns:
    possible object is `String`

### setFindByAnyName

    public void setFindByAnyName(String value)

  Sets the value of the findByAnyName property.

  Parameters:
    `value` - allowed object is `String`

### getFindByOfficialName

    public String getFindByOfficialName()

  Gets the value of the findByOfficialName property.

  Returns:
    possible object is `String`

### setFindByOfficialName

    public void setFindByOfficialName(String value)

  Sets the value of the findByOfficialName property.

  Parameters:
    `value` - allowed object is `String`

### getFindByCNK

    public String getFindByCNK()

  Gets the value of the findByCNK property.

  Returns:
    possible object is `String`

### setFindByCNK

    public void setFindByCNK(String value)

  Sets the value of the findByCNK property.

  Parameters:
    `value` - allowed object is `String`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.